gov.ornl.mercury3.services

## Class QueryDAO

- java.lang.Object
- - org.springframework.dao.support.DaoSupport
  - - org.springframework.orm.hibernate3.support.HibernateDaoSupport
    - - gov.ornl.mercury3.services.QueryDAO

- All Implemented Interfaces:
    org.springframework.beans.factory.InitializingBean

      public class QueryDAO
      extends org.springframework.orm.hibernate3.support.HibernateDaoSupport

  A data access object (DAO) providing persistence and search support for Query entities. Transaction control of the save(), update() and delete() operations can directly support Spring container-managed transactions or they can be augmented to handle user-managed Spring transactions. Each of these methods provides additional information for how to configure it for the desired type of transaction control.
  Author:
    MyEclipse Persistence Tools
  See Also:
    `Query`

- - ### Field Summary

    - ### Fields inherited from class org.springframework.dao.support.DaoSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryDAO()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attachClean(Query instance)`
    `void` | `attachDirty(Query instance)`
    `void` | `delete(Query persistentInstance)`
    `List` | `findAll()`
    `List` | `findByExample(Query instance)`
    `Query` | `findById(QueryId id)`
    `List` | `findByProperty(String propertyName, Object value)`
    `static QueryDAO` | `getFromApplicationContext(org.springframework.context.ApplicationContext ctx)`
    `protected void` | `initDao()`
    `Query` | `merge(Query detachedInstance)`
    `void` | `save(Query transientInstance)`

    - ### Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport

      `checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

    - ### Methods inherited from class org.springframework.dao.support.DaoSupport

      `afterPropertiesSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryDAO

          public QueryDAO()

  - ### Method Detail

    - #### initDao

          protected void initDao()

      Overrides:
        `initDao` in class `org.springframework.dao.support.DaoSupport`

    - #### save

          public void save(Query transientInstance)

    - #### delete

          public void delete(Query persistentInstance)

    - #### findById

          public Query findById(QueryId id)

    - #### findByExample

          public List findByExample(Query instance)

    - #### findByProperty

          public List findByProperty(String propertyName,
                            Object value)

    - #### findAll

          public List findAll()

    - #### merge

          public Query merge(Query detachedInstance)

    - #### attachDirty

          public void attachDirty(Query instance)

    - #### attachClean

          public void attachClean(Query instance)

    - #### getFromApplicationContext

          public static QueryDAO getFromApplicationContext(org.springframework.context.ApplicationContext ctx)

Copyright © 2016. All rights reserved.